.coast_form {-webkit-box-sizing: border-box;-moz-box-sizing: border-box;box-sizing: border-box;color:#ffffff;background-color:#fc3d7e;margin-bottom:20px;padding: 20px;}

.coast_form h2 {text-align: center;color:#ffffff;font-weight: 900;}

.coast_sliders {margin-bottom:30px;}

.coast, .coast__fill {
    background: #fff;display: block;height: 14px;
    -webkit-box-sizing: border-box;-moz-box-sizing: border-box;box-sizing: border-box;
}

.coast {position: relative;height: 14px;width: 100%;margin:6px 0 6px 0;}

.coast--disabled {filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=40);opacity: 0.4;}

.coast__fill {height: 1em;width: 100%;background: #AB2712;position: absolute;top: 0;}

.coast__handle {
    background: #fff;
    border: 3px solid #AB2712;
    cursor: pointer;
    display: inline-block;
    width: 26px;
    height: 26px;
    position: absolute;
    top: -5px;
}

.coast-slideroutput:after, .range:after {visibility: hidden;display: block;font-size: 0;content: " ";clear: both;height: 0;}
.coast-slideroutput .coast-sliderleft {float: left;width:33.3333%;text-align:left;}
.coast-slideroutput .coast-slidercenter {float: left;width:33.3333%;text-align:center;font-weight: bolder;}
.coast-slideroutput .coast-sliderright {float: right;width:33.3333%;text-align:right;}

.coast_form .termmin {float:left;width:50%;text-align: left;font-weight: 300;color: #fff;}
.coast_form .termmax {float:right;width:50%;text-align: right;font-weight: 300;color: #fff;}

/* Circle Rules */
.coast_form .coast-down 	{ height: 25px; width: 25px; position: absolute; top: 0; left: 0; border: 3px solid #ffffff;}
.coast_form .coast-down:after {
	content: "";
	width: 15px;
	position: absolute;
	height: 3px;
	background-color: #ffffff;
	top: 50%;
	margin-top: -1.5px;
	left: 50%; 
	margin-left: -7.5px;
    border-radius: 0px;
}
.coast_form .coast-up 		{ height: 25px; width: 25px; position: absolute; right: 0; top: 0; border: 3px solid #ffffff; }
.coast_form .coast-up:after {
	content: "";
	width: 15px;
	position: absolute;
	height: 3px;
	background-color: #ffffff;
	top: 50%;
	left: 50%; 
	margin-top: -1.5px;
	margin-left: -7.5px;
    border-radius: 0px;
}
.coast_form .coast-up:before {
	content: "";
	width: 3px;
	position: absolute;
	height: 15px;
	background-color: #ffffff;
	top: 50%;
	left: 50%;
	margin-top: -7.5px;
	margin-left: -1.5px;
}
.coast_form .output-values	{ line-height: 25px; font-size:25px;color: #ffffff;text-align: center;}
.coast_form .output-values output {color: #ffffff;text-align: center;}
.coast_form .output-pad		{ padding: 0 25px; line-height: 25px; min-height: 25px; position: relative;text-align: center; }
.coast_form .coast-up:hover, .coast-down:hover { background-color: #e6e6e6; cursor: pointer; }
.coast_form .coast-control {
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome and Opera */
}

/* Outputs */
#coast .returns {margin: 20px 0 20px;}
.coast-outputs{
    display:grid;
    grid-template-columns:33.3% 33.3% 33.3%;
    color: #fff;
}

.coast-outputs > div {
  text-align: center;
}

/* Progress Bars */
.coast_form progress {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border: none;
    border-radius: 0;
    overflow:hidden;
    border-left: 1px solid gold;
    background-color: #fc3d7e;
}
.coast_form progress {
    width: 100%;
    height:20px;
}

.coast_form progress {
    width: 160px;
    height: 180px;
    transform: rotate(-90deg);
    -webkit-transform: rotate(-90deg); /*Webkit*/
    -moz-transform: rotate(-90deg); /*FireFox*/
}
.coast_form progress::-webkit-progress-bar {
    background-color: #fc3d7e;
    border-radius: 0;
 }
 
.coast_form progress::-webkit-progress-value {
    background-color: gold;
    border-radius: 0;
}

.coast_form progress::-moz-progress-bar {
    background-color: gold;
    border-radius: 0;
}

/* MOZILLA FIREFOX */
/*
progress::-moz-progress-bar{
    border-radius: 0;
}

#fest progress::-moz-progress-bar {
    background-color: #919191;
}

#immo progress::-moz-progress-bar {
    background-color: #434343;
}

#cfgi progress::-moz-progress-bar {
    background-color: gold;
}
*/

/***** Styles for screen 600px and lower *****/
@media only screen and (max-width: 600px) {
    .coast_sliders {margin-bottom:10px;}
    .coast_form{padding: 12px;}
    .coast_form h2 {margin-bottom: 12px;}
    .coast-inputs {padding: 12px;margin-top: 12px;}
    .coast-inner {padding: 12px;}
    .coast-outputs {font-size: 10px;}
    progress {height: 80px;width: 60px;}
}